Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wtc.jatmi
Class DequeueReply

    java.lang.Object
      weblogic.wtc.jatmi.TuxedoReply
          weblogic.wtc.jatmi.DequeueReply

All Implemented Interfaces:
  Reply, Serializable

public final class DequeueReply
extends TuxedoReply

This class holds the reply data and meta-data from a service invocation.

See Also:
  `ApplicationToMonitorInterface.tpdequeue(java.lang.String, java.lang.String, byte[], byte[], boolean, boolean, int)`, Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Integer` | `getappkey()` Gets the appkey field of this object
`byte[]` | `getcorrid()` Gets the corrid field of this object
`int` | `getdelivery_qos()` Gets the delivery_qos field of this object
`String` | `getfailurequeue()` Gets the failurequeue field of this object
`byte[]` | `getmsgid()` Gets the msgid field of this object
`Integer` | `getpriority()` Gets the priority field of this object
`int` | `getreply_qos()` Gets the reply_qos field of this object
`String` | `getreplyqueue()` Gets the replyqueue field of this object
`int` | `geturcode()` Gets the user-defined result code
`String` | `toString()` Turns this object into a string

Methods inherited from class weblogic.wtc.jatmi.TuxedoReply
`getCallDescriptor, getReplyBuffer, gettpurcode, setCallDescriptor, setReplyBuffer, settpurcode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getappkey

    public Integer getappkey()

  Gets the appkey field of this object

  Returns:
    The application key of the user who enqueued this message

### getcorrid

    public byte[] getcorrid()

  Gets the corrid field of this object

  Returns:
    The correlation id associated with this request, or null if not set

### getdelivery_qos

    public int getdelivery_qos()

  Gets the delivery_qos field of this object

  Returns:
    The delivery quality of service associated with this request, or null if not set

### getfailurequeue

    public String getfailurequeue()

  Gets the failurequeue field of this object

  Returns:
    The failure queue associated with this request, or null if not set

### getmsgid

    public byte[] getmsgid()

  Gets the msgid field of this object

  Returns:
    The msgid before which this message is to be enqueued associated with this request, or null if not set

### getpriority

    public Integer getpriority()

  Gets the priority field of this object

  Returns:
    The priority associated with this request, or null if not set

### getreply_qos

    public int getreply_qos()

  Gets the reply_qos field of this object

  Returns:
    The reply quality of service associated with this request, or null if not set

### getreplyqueue

    public String getreplyqueue()

  Gets the replyqueue field of this object

  Returns:
    The reply queue associated with this request, or null if not set

### geturcode

    public int geturcode()

  Gets the user-defined result code

  Returns:
    the user-defined result code

### toString

    public String toString()

  Turns this object into a string

  Overrides:
    `toString` in class `TuxedoReply`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD